type GetModeFn = () => boolean;
export declare const getWindow: () => Window;
export declare const setWindow: (value: Window) => void;
export declare const getDocument: () => Document;
export declare const setDocument: (value: Document) => void;
export declare const getDevMode: () => boolean;
export declare const setDevMode: (mode: boolean) => void;
export declare const getExperimentalMode: () => boolean;
export declare const setExperimentalMode: (mode: boolean) => void;
export declare const getColorContrastAnalysis: () => boolean;
export declare const setColorContrastAnalysis: (mode: boolean) => void;
type LogShieldOptions = {
    classifier?: string;
    forceLog?: boolean;
    overwriteStyle?: string;
};
export declare class Logger {
    private readonly label;
    private readonly devMode;
    constructor(label: string, devMode: GetModeFn);
    debug(msg: unknown | unknown[], options?: LogShieldOptions): void;
    info(msg: unknown | unknown[], options?: LogShieldOptions): void;
    trace(msg: unknown | unknown[], options?: LogShieldOptions): void;
    warn(msg: unknown | unknown[], options?: LogShieldOptions): void;
    error(msg: unknown | unknown[], options?: LogShieldOptions): void;
    throw(msg: unknown | unknown[], options?: LogShieldOptions): void;
}
export declare const Log: Logger;
export {};
